%define upstream_name    OpenGL
%define upstream_version 0.6704

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Interface to OpenGL drawing/imaging library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz
# Patch from Fedora
Patch1:     0001-Don-t-check-current-display-for-extensions.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: glut-devel
BuildRequires: libxi-devel
BuildRequires: mesagl-devel
BuildRequires: mesaglu-devel
BuildRequires: perl-devel
BuildRequires: pkgconfig(xmu)

%description
Naming convention:
    Virtually all of the OpenGL 1.0, and 1.1 functions are available, and
    most of 1.2. In general, the calling sequence is identical in Perl as
    in C.

    Most functions that have no pointer arguments are called identically in
    Perl as in C, and the same name is used.

    Functions that use Perl array arguments and have been changed in "the
    obvious way" -- to take a variable number of arguments and/or to return
    an array -- have the the same names as their C counterparts, but with a
    _p suffix.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch1 -p1
# test.pl requires interaction, prefer using tests in t/
rm test.pl

%build
%__perl Makefile.PL INSTALLDIRS=vendor dist=NO_EXCLUSIONS
sed 's/PERL_DL_NONLAZY=1//' -i Makefile
make

make test

%install
%makeinstall_std

%files
%doc CHANGES COPYRIGHT INSTALL META.yml README SUPPORTS TODO examples
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.670.400-4.mga6
+ Revision: 1031543
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.670.400-3.mga6
+ Revision: 957825
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.670.400-2.mga6
+ Revision: 845063
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 0.670.400-1.mga6
+ Revision: 841830
- update to 0.6704

* Thu Oct 23 2014 pterjan <pterjan> 0.670.300-6.mga5
+ Revision: 792675
- Rebuild to fix broken dependencies

* Sat Oct 18 2014 umeabot <umeabot> 0.670.300-5.mga5
+ Revision: 787997
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.670.300-4.mga5
+ Revision: 742865
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.670.300-3.mga5
+ Revision: 725868
- use %%perl_default_filter (fix excludes)

* Tue Sep 16 2014 umeabot <umeabot> 0.670.300-2.mga5
+ Revision: 685792
- Mageia 5 Mass Rebuild

* Wed Jun 04 2014 sander85 <sander85> 0.670.300-1.mga5
+ Revision: 632872
- update to 0.6703

* Tue Jun 03 2014 pterjan <pterjan> 0.670.0-3.mga5
+ Revision: 631532
- Rebuild for perl 5.20

* Mon Oct 21 2013 umeabot <umeabot> 0.670.0-2.mga4
+ Revision: 537401
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.670.0-1.mga4
+ Revision: 486903
- update to 0.67

* Wed May 29 2013 jquelin <jquelin> 0.660.0-5.mga4
+ Revision: 430924
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.660.0-4.mga3
+ Revision: 371132
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.660.0-3.mga3
+ Revision: 251003
- rebuild for perl 5.16

* Mon Feb 13 2012 dmorgan <dmorgan> 0.660.0-2.mga2
+ Revision: 208373
- mesaglw-devel does not exist anymore, so remove from buildrequires

  + jquelin <jquelin>
    - update to 0.66
    - adding missing buildrequires:
    - bug#2412
    - bug#2412 - change glut requires to freeglut
    - update to 0.65

* Sun Jun 12 2011 sander85 <sander85> 0.640.0-2.mga2
+ Revision: 104388
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.640.0-1.mga1
+ Revision: 30995
- mageia rebuild
- imported package perl-OpenGL

